Bug 1632119 - [RHEL6] Some of the Posix compliance tests are failing on gluster mount
Summary: [RHEL6] Some of the Posix compliance tests are failing on gluster mount
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: posix
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 1
Assignee: Raghavendra Bhat
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On: 1610966 1622649
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-24 07:00 UTC by Sunil Kumar Acharya
Modified: 2018-10-31 08:46 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1622649
Environment:
Last Closed: 2018-10-31 08:44:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3431 None None None 2018-10-31 08:46:39 UTC

Comment 3 Manisha Saini 2018-10-09 13:33:04 UTC
Verified this with 

# rpm -qa | grep gluster
glusterfs-cli-3.12.2-20.el6rhs.x86_64
glusterfs-client-xlators-3.12.2-20.el6rhs.x86_64
gluster-nagios-addons-0.2.10-2.el6rhs.x86_64
glusterfs-fuse-3.12.2-20.el6rhs.x86_64
python2-gluster-3.12.2-20.el6rhs.x86_64
glusterfs-libs-3.12.2-20.el6rhs.x86_64
glusterfs-api-3.12.2-20.el6rhs.x86_64
glusterfs-geo-replication-3.12.2-20.el6rhs.x86_64
glusterfs-3.12.2-20.el6rhs.x86_64
glusterfs-rdma-3.12.2-20.el6rhs.x86_64
gluster-nagios-common-0.2.4-1.el6rhs.noarch
vdsm-gluster-4.16.30-1.5.el6rhs.noarch
glusterfs-server-3.12.2-20.el6rhs.x86_64


root@dhcp37-79 tests]# prove -r /home/mani/ntfs-3g-pjd-fstest/
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/00.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/01.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/02.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/03.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/04.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/05.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/06.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/07.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/08.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/09.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/10.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/11.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/12.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chflags/13.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/00.t ...... ok       
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/01.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/02.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/03.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/04.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/05.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/06.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/07.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/08.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/09.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/10.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chmod/11.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/chown/00.t ...... ok       
/home/mani/ntfs-3g-pjd-fstest/tests/chown/01.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chown/02.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chown/03.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/chown/04.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chown/05.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/chown/06.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chown/07.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/chown/08.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chown/09.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/chown/10.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/ftruncate/00.t .. ok     
/home/mani/ntfs-3g-pjd-fstest/tests/ftruncate/13.t .. ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/00.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/link/01.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/02.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/link/03.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/link/04.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/05.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/06.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/link/07.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/link/08.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/link/09.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/10.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/link/11.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/12.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/13.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/14.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/15.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/16.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/link/17.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/00.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/01.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/02.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/03.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/04.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/05.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/06.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/07.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/08.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/09.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/10.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/11.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkdir/12.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/00.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/01.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/02.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/03.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/04.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/05.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/06.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/07.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/08.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/09.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/10.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/11.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mkfifo/12.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/00.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/01.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/02.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/03.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/04.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/05.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/06.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/07.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/08.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/09.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/10.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/mknod/11.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/open/00.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/open/01.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/02.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/03.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/open/04.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/05.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/open/06.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/open/07.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/open/08.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/09.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/10.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/11.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/12.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/13.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/14.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/15.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/16.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/17.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/18.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/19.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/20.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/21.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/open/22.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/open/23.t ....... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/00.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rename/01.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/02.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rename/03.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/04.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rename/05.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rename/06.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/07.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/08.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/09.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rename/10.t ..... ok       
/home/mani/ntfs-3g-pjd-fstest/tests/rename/11.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rename/12.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/13.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rename/14.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rename/15.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/16.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/17.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/18.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/19.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rename/20.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/00.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/01.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/02.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/03.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/04.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/05.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/06.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/07.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/08.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/09.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/10.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/11.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/12.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/13.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/14.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/rmdir/15.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/00.t .... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/01.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/02.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/03.t .... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/04.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/05.t .... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/06.t .... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/07.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/08.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/09.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/10.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/11.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/symlink/12.t .... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/00.t ... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/01.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/02.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/03.t ... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/04.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/05.t ... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/06.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/07.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/08.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/09.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/10.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/11.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/12.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/13.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/truncate/14.t ... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/00.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/01.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/02.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/03.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/04.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/05.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/06.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/07.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/08.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/09.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/10.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/11.t ..... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/12.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/unlink/13.t ..... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/utime/00.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/utime/01.t ...... ok   
/home/mani/ntfs-3g-pjd-fstest/tests/utime/02.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/utime/03.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/utime/04.t ...... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/xacl/00.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/xacl/01.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/xacl/02.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/xacl/03.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/xacl/04.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/xacl/05.t ....... ok     
/home/mani/ntfs-3g-pjd-fstest/tests/xacl/06.t ....... ok     
All tests successful.
Files=210, Tests=2651, 82 wallclock secs ( 0.99 usr  0.52 sys +  9.74 cusr 11.53 csys = 22.78 CPU)
Result: PASS


Moving this BZ to verified state

Comment 4 errata-xmlrpc 2018-10-31 08:44:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3431


Note You need to log in before you can comment on or make changes to this bug.